%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-common
Summary:	Gnome-common contains useful things common to building gnome packages
Version:	3.18.0
Release:	%mkrel 8
License: 	GPLv3
Group:		Development/GNOME and GTK+
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL: 		https://www.gnome.org/
Requires:	common-licenses
BuildRequires:	pkgconfig
BuildRequires:	gawk
# gnome-common requires the following to properly run
Requires:	automake
Requires:	autoconf
Requires:	autoconf-archive
Requires:	m4
Requires:	intltool
Requires:	gettext-devel
Requires:	gtk-doc
# depends on ./configure.ac
Recommends:	yelp-tools
Recommends:	appdata-tools
Recommends:	glib-gettextize
Recommends:	itstool
Recommends:	yelp-devel
Recommends:	appstream-util
BuildArch:	noarch

%description
A module that is required only when building GNOME from the
repository. It is not needed to run GNOME.

%prep
%setup -q
%autopatch -p1

%build
%configure --with-autoconf-archive
%make_build

%install
%make_install

%files
%doc COPYING
%{_bindir}/*
%{_datadir}/aclocal/*.m4
#{_datadir}/gnome-common


%changelog
* Wed Apr 22 2020 ovitters <ovitters> 3.18.0-8.mga8
+ Revision: 1570856
- rebuild for to test removal of deprecated macros
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 3.18.0-7.mga8
+ Revision: 1489300
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Sep 18 2018 umeabot <umeabot> 3.18.0-6.mga7
+ Revision: 1260349
- Mageia 7 Mass Rebuild

* Wed Sep 21 2016 ovitters <ovitters> 3.18.0-5.mga6
+ Revision: 1054936
- recommend latest common gnome br

* Sun Jun 05 2016 luigiwalser <luigiwalser> 3.18.0-4.mga6
+ Revision: 1020272
- move conflicts to autoconf-archive

* Sat Jan 30 2016 ovitters <ovitters> 3.18.0-3.mga6
+ Revision: 929225
- add conflict to ensure upgrade works

* Wed Jan 27 2016 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 928273
- make use of autoconf-archive

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882622
- adjust file list
- new release

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 749941
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719209
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.12.0-3.mga5
+ Revision: 679708
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Jun 24 2014 ovitters <ovitters> 3.12.0-2.mga5
+ Revision: 639299
- add suggests on some optional requires

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607861
- new version 3.12.0

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-3.mga4
+ Revision: 540977
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 ovitters <ovitters> 3.10.0-2.mga4
+ Revision: 494678
- fix requires

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484326
- new version 3.10.0

* Thu Jun 27 2013 guillomovitch <guillomovitch> 3.7.4-2.mga4
+ Revision: 447603
- add automake 1.14 support

* Fri May 24 2013 ovitters <ovitters> 3.7.4-1.mga4
+ Revision: 426702
- update file list
- drop merged patch
- new version 3.7.4

* Sun Jan 20 2013 wally <wally> 3.6.0-3.mga3
+ Revision: 390009
- add patch from upstream git to support automake 1.13

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 352064
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 306999
- new version 3.6.0

* Sat Sep 08 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 290037
- new version 3.5.91

* Wed Aug 08 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 280039
- new version 3.5.5

* Thu Jul 19 2012 ovitters <ovitters> 3.4.0.1-2.mga3
+ Revision: 272527
- clean spec

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226653
- clean spec
- new version 3.4.0.1
+ wally <wally>
- new version 3.1.0
- change description and license
- clean .spec a bit

* Tue Jun 28 2011 fwang <fwang> 2.34.0-1.mga2
+ Revision: 115179
- new version 2.340.0

* Tue Jan 11 2011 blino <blino> 2.28.0-3.mga1
+ Revision: 6405
- imported package gnome-common


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.28.0-3mdv2011.0
+ Revision: 605469
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.28.0-2mdv2010.1
+ Revision: 521485
- rebuilt for 2010.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446588
- update to new version 2.28.0

* Thu Mar 19 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 358073
- update to new version 2.26.0

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.1
+ Revision: 286845
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.20.0-3mdv2009.0
+ Revision: 221084
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.20.0-2mdv2008.1
+ Revision: 150122
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89331
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2008.0
+ Revision: 13996
- new version


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.12.0-3mdv2007.0
+ Revision: 108666
- Import gnome-common

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.12.0-3mdv2007.1
- Rebuild

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdk
- use mkrel

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0

* Wed Nov 10 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- fix source URL
- New release 2.8.0

